rolo (018-1) unstable; urgency=medium

  * New upstream version 018

 -- Rafael Laboissière <rafael@debian.org>  Mon, 13 Sep 2021 09:07:40 +0200

rolo (017-1) unstable; urgency=medium

  * New upstream version 017

 -- Rafael Laboissière <rafael@debian.org>  Mon, 13 Sep 2021 08:40:38 +0200

rolo (016-1) unstable; urgency=medium

  * New upstream version 016

 -- Rafael Laboissière <rafael@debian.org>  Mon, 13 Sep 2021 08:24:27 +0200

rolo (015-1) unstable; urgency=medium

  * New upstream version 015
  * d/watch: Correctly mangle file name of signature file
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 27 Aug 2021 09:36:45 -0300

rolo (014-4) unstable; urgency=medium

  * d/rules: Drop obsolete autoreconf addon

 -- Rafael Laboissière <rafael@debian.org>  Fri, 31 Jul 2020 18:52:07 -0300

rolo (014-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
    + Update Upstream-Contact and Source fields
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Fri, 31 Jul 2020 05:27:29 -0300

rolo (014-2) unstable; urgency=medium

  * This upload includes the upstream signature of the orig tarball
  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 12 Jul 2019 13:03:17 -0300

rolo (014-1) unstable; urgency=medium

  * New upstream version 014
  * Adjust unit tests for new upstream version
    + d/rules: Drop override_dh_auto_test rule
    + d/t/run-tests: Remove script (integrated upstream)
    + d/t/control: Use Test-Command
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 30 Jan 2019 19:09:39 -0200

rolo (013-5) unstable; urgency=medium

  * d/t/run-tests: Add more extensive test
  * Run unit tests at build time
    * d/rules: Add override_dh_auto_test rule
    * d/control: Build-depend on shunit2

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 29 Jan 2019 09:03:11 -0200

rolo (013-4) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Drop useless build-dependencies on automake, autoconf, and quilt
  * Bump to debhelper compat level 12
  * Build against debhelper instead of CDBS

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 05 Jan 2019 21:20:08 -0200

rolo (013-3) unstable; urgency=medium

  * Use shunit2 for running the autopkgtest script
  * d/control:
    + Bump Standards-Version to 4.1.2 (no changes needed)
    + Use URLs from Debian's GitLab server

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 22 Dec 2017 19:09:02 -0200

rolo (013-2) unstable; urgency=medium

  * Run properly the autopkgtest script

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 21 Aug 2017 17:22:45 -0300

rolo (013-1) unstable; urgency=medium

  * New upstream version 013
  * d/control:
    + Bump Standards-Version to 4.0.1 (no changes needed)
    + Drop unneeded autotools-dev from the build-dependencies list
  * Add a preliminary autopkgtest test suite

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 18 Aug 2017 17:25:41 -0300

rolo (012-2) unstable; urgency=medium

  * Upload to unstable
  * Make uscan check the upstream GPG signature
  * d/copyright: Use secure URL in Format
  * d/watch: Use version 4

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 18 Jun 2017 05:08:30 -0300

rolo (012-1) experimental; urgency=medium

  * New upstream version 012
  * d/watch: Update to new upstream location
  * d/control: Update the Homepage URL
  * d/patches/*: Removed all patches (applied upstream)
  * d/s/options: Add more items to the diff-ignore list
  * d/copyright: Update copyright for Debian-specific files
  * d/rules: Ensure that auroreconf will be run

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 18 Feb 2017 09:44:53 -0200

rolo (011.dfsg.1-17) unstable; urgency=medium

  * Reintroduce the package into unstable
  * Bump debhelper compat level to 10
  * d/control:
    + Bump Standards-Version to 3.9.8 (no changes needed)
    + Update the Vcs-* URLs to the new repository
  * d/copyright: Convert to DEP-5 format
  * Convert patches to DEP-3 format
  * Do not include glib/gunicode.h in the patches
  * d/p/compare-in-utf-8.diff: Adjust argument of unac_string
  * d/p/include-stdlib.diff: New patch
  * d/p/locale-lc-all.diff: New patch
  * d/s/format: Use format 3.0 (quilt)
  * d/rules: Compile with hardening flags

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 15 Oct 2016 23:30:24 -0300

rolo (011.dfsg.1-16) unstable; urgency=low

  * debian/control:
    + The package is now maintained with Git at alioth.debian.org.  Add
      Vcs-Git field and change Vcs-Browser accordingly.
    + Bump Standards-Version to 3.8.1 (add needed file
      debian/README.source explaining the patch system)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 24 Apr 2009 15:56:10 +0200

rolo (011.dfsg.1-15) unstable; urgency=low

  * debian/patches/utf8-in-index.diff: Allow enough space for UTF-8
    characters in the malloc'ed string menu_name.  This was causing
    segmentation bugs

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 04 Mar 2009 23:58:36 +0100

rolo (011.dfsg.1-14) unstable; urgency=low

  * debian/patches/compare-in-utf-8.diff: Add patch for ordering correctly
    the names in the index when they contain UTF-8 characters
  * debian/control: Build-depend on libunac1-dev, needed for the the
    patch above

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 21 Feb 2009 19:18:36 +0100

rolo (011.dfsg.1-13) unstable; urgency=low

  * debian/patches/use-ncursesw.diff: Adjusted for providing the correct
    include flag in CFLAGS, such that the package really compiles against
    libncursesw5, avoiding FTBFS (closes: #515103)
  * debian/patches/utf8-in-index.diff: Adjusted for accepting UTF-8
    characters in email addresses (thanks to Carsten Hey for reporting the
    problem).
  * debian/patches/drop-libform.diff: Add patch for avoiding linking against
    libformw

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 13 Feb 2009 18:22:28 +0100

rolo (011.dfsg.1-12) unstable; urgency=low

  * debian/patches/utf8-in-index.diff: Add patch for displaying columns
    correctly in the index screen when names are encoded in UTF-8
    (closes: #514933)
  * debian/control: Build-depend on libglib2.0-dev, since the patch above
    needs its function g_utf8_strlen

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 13 Feb 2009 02:21:34 +0100

rolo (011.dfsg.1-11) experimental; urgency=low

  * debian/control:
    + Build-depend on libncursesw5-dev instead of libncurses5-dev, in order
      to support for wide character and corretly display entries in UTF-8
      (closes: #514926)
    + Fix Lintian warning debhelper-but-no-misc-depends
    + Build-depends on autoconf and automake
  * debian/patches/use-ncursesw.diff: New patch for forcing the use of
    libncursesw
  * debian/clean: Also remove config.status.lineno
  * debian/rules: Backup/restore files config.h.in and configure, which
    are changed during the build process

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 12 Feb 2009 00:22:58 +0100

rolo (011.dfsg.1-10) unstable; urgency=low

  * debian/patches/display-multiple-addresses.diff: New patch for
    displaying multiple addresses present in a vCard, along with their
    "TYPE" arguments (closes: #458228)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 20 Sep 2008 21:36:02 +0200

rolo (011.dfsg.1-9) unstable; urgency=low

  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/patches/use-usr-bin-editor.diff: New patch for using
    /usr/bin/editor instead of vi as the default editor when EDITOR and
    ROLO_EDITOR environment variables are not defined

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 13 Jul 2008 17:51:18 +0200

rolo (011.dfsg.1-8) unstable; urgency=low

  * debian/control:
    + Append trunk/ to the path in Vcs-Svn:, such that debcheckout works
    + Bump Standards-Version 3.8.0 (no changes needed)
  * debian/watch: Remove "dfsg" from the upstream version before number
    comparison
  * Switch to quilt from of CDBS' simple-patchsys

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 30 Jun 2008 16:46:12 +0200

rolo (011.dfsg.1-7) unstable; urgency=low

  * debian/control:
    + Dropped the Homepage pseudo-header from the extended description
    + Bumped Standards-Version to 3.7.3
  * debian/dirs: Removed file

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 15 Dec 2007 23:04:45 +0100

rolo (011.dfsg.1-6) unstable; urgency=low

  * debian/control: Use the now official Vcs-* fields instead of the
    obsolete XS-Vcs-* ones
  * debian/patches/04-display-types.patch: Display the value of "TYPE"
    attributes for vCard fields that have such attribute (closes: #442457)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 16 Nov 2007 22:28:36 +0100

rolo (011.dfsg.1-5) unstable; urgency=low

  * debian/control: Added Homepage field
  * debian/menu: Renamed section to comply with the new menu hierarchy
    (menu package version 2.1.35)

 -- Rafael Laboissiere <rafael@debian.org>  Thu,  5 Jul 2007 10:49:26 +0200

rolo (011.dfsg.1-4) unstable; urgency=low

  * debian/control: Added XS-Vcs-Svn and XS-Vcs-Browser fields
  * debian/patches:
    + 03_drop-rolorc-manpage.patch: Added patch for removing the
      references to ~/.rolorc in the man page.  This file is not used by
      rolo and the mention to it in the man page is probably a mistake
      from the upstream author (closes: #421926).
    + Renamed patches manpage-close-list and refresh-index-empty by
      prepending 01_ and 02_, respectively.  This is needed to get the
      correct order of execution.

 -- Rafael Laboissiere <rafael@debian.org>  Thu,  3 May 2007 11:44:41 +0200

rolo (011.dfsg.1-3) unstable; urgency=low

  * debian/copyright: Added note about the removal of the doc/rfc2426.txt
    from the Debian upstream tarball

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 25 Mar 2007 23:07:52 +0200

rolo (011.dfsg.1-2) unstable; urgency=low

  * debian/patches/refresh-index-empty.patch: Added patch that avoids
    a segmentation fault when deleting a record in a vcf file containing
    that single record (closes: #415737)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 21 Mar 2007 19:57:37 +0100

rolo (011.dfsg.1-1) unstable; urgency=low

  * Regenerated the upstream tarball (and added ".dfsg.1" to the version
    number), removing the RFC document, which is not DFSG compliant.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 11 Mar 2007 20:39:23 +0100

rolo (011-3) unstable; urgency=low

  * Uploaded to unstable again, this time with the orig.tar.gz file
    included

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 12 Feb 2007 19:27:43 +0100

rolo (011-2) unstable; urgency=low

  * First release to unstable (closes: #410659)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 12 Feb 2007 19:06:31 +0100

rolo (011-1) unstable; urgency=low

  * Initial release

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 12 Feb 2007 12:33:11 +0100
